{
    attributes = (
        {
            columnName = DLOG_KEY; 
            externalType = NUMBER; 
            name = dlogKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = DLOK_APPLICATION; 
            externalType = VARCHAR2; 
            name = dlokApplication; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = DLOK_CLIENT; 
            externalType = VARCHAR2; 
            name = dlokClient; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = DLOK_DEBUT; 
            externalType = DATE; 
            name = dlokDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DLOK_FIN; 
            externalType = DATE; 
            name = dlokFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = DLOK_HOSTNAME; 
            externalType = VARCHAR2; 
            name = dlokHostname; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = DLOK_KEY; 
            externalType = NUMBER; 
            name = dlokKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (dlokKey); 
    className = EOGenericRecord; 
    classProperties = (
        dlokKey, 
        dlogKey, 
        dlokApplication, 
        dlokDebut, 
        dlokFin, 
        dlokHostname, 
        dlokClient, 
        toScolDroitLogin
    ); 
    externalName = SCOL_DROIT_LOCK; 
    fetchSpecificationDictionary = {}; 
    name = ScolDroitLock; 
    primaryKeyAttributes = (dlokKey); 
    relationships = (
        {
            destination = ScolDroitLogin; 
            internalInfo = {_nameInObjectStore = scolDroitLogin; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = dlogKey; sourceAttribute = dlogKey; }); 
            name = toScolDroitLogin; 
        }
    ); 
}
